Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.resource
Interface ResourceHolderInterface

All Known Implementing Classes:
  JobEntryAbort, JobEntryAddResultFilenames, JobEntryBase, JobEntryColumnsExist, JobEntryConnectedToRepository, JobEntryCopyFiles, JobEntryCopyMoveResultFilenames, JobEntryCreateFile, JobEntryCreateFolder, JobEntryDelay, JobEntryDeleteFile, JobEntryDeleteFiles, JobEntryDeleteFolders, JobEntryDeleteResultFilenames, JobEntryDTDValidator, JobEntryEmpty, JobEntryEval, JobEntryEvalTableContent, JobEntryExportRepository, JobEntryFileCompare, JobEntryFileExists, JobEntryFilesExist, JobEntryFolderIsEmpty, JobEntryFoldersCompare, JobEntryFTP, JobEntryFTPDelete, JobEntryFTPPUT, JobEntryGetPOP, JobEntryHTTP, JobEntryJob, JobEntryMail, JobEntryMailValidator, JobEntryMoveFiles, JobEntryMSAccessBulkLoad, JobEntryMsgBoxInfo, JobEntryMssqlBulkLoad, JobEntryMysqlBulkFile, JobEntryMysqlBulkLoad, JobEntryPing, JobEntrySetVariables, JobEntrySFTP, JobEntrySFTPPUT, JobEntryShell, JobEntrySimpleEval, JobEntrySNMPTrap, JobEntrySpecial, JobEntrySQL, JobEntrySSH2GET, JobEntrySSH2PUT, JobEntrySuccess, JobEntryTableExists, JobEntryTrans, JobEntryTruncateTables, JobEntryUnZip, JobEntryWaitForFile, JobEntryWaitForSQL, JobEntryWriteToLog, JobEntryXMLWellFormed, JobEntryXSDValidator, JobEntryXSLT, JobEntryZipFile, PartitionSchema, StepMeta

    public interface ResourceHolderInterface

Method Summary
`String` | `getDescription()`
`String` | `getHolderType()` Gets the high-level type of resource holder.
`long` | `getID()`
`String` | `getName()`
`String` | `getTypeId()`

Method Detail

### getName

    String getName()

  Returns:
    The name of the holder of the resource

### getDescription

    String getDescription()

  Returns:
    The description of the holder of the resource

### getID

    long getID()

  Returns:
    The ID of the holder of the resource

### getTypeId

    String getTypeId()

  Returns:
    The Type ID of the resource holder. The Type ID is the system-defined type identifier (like TRANS or SORT).

### getHolderType

    String getHolderType()

  Gets the high-level type of resource holder.

  Returns:
    JOBENTRY, STEP, etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD